Package Details: sozi 18.01-3

Git Clone URL: https://aur.archlinux.org/sozi.git (read-only)
Package Base: sozi
Description: A zooming presentation based on SVG, using JavaScript
Upstream URL: http://sozi.baierouge.fr/
Licenses: custom:MPL2.0
Submitter: linkmauve
Maintainer: sbmomeni
Last Packager: sbmomeni
Votes: 73
Popularity: 0.374924
First Submitted: 2010-10-28 11:53
Last Updated: 2018-03-09 16:50

Dependencies (15)

Required by (0)

Sources (616)

Latest Comments

a1rolo commented on 2018-03-14 19:18

@sbmomeni Great, it worked for me, thanks.

sbmomeni commented on 2018-03-09 16:52

@nibor @a1rolo Updated. Please test again.

nibor commented on 2018-03-07 14:17

First I had the same problem lylambda (tmp: not enough space on device), which can't be true as my tmp is set to 6.5 GB and still had 6.3 GB free space in the moment of (repeatable) error. Anyways, changing the build path in /etc/yaourtrc to /home/"user"/tmp helped to solve it.

But now I am getting the same error as a1rolo and don't have a solution yet:

Error: Command failed: git show -s --format='%cI %ct' fatal: Not a git repository (or any of the parent directories): .git

at [...] Running tasks: electron-build Warning: Task "electron-build" not found. Use --force to continue.

Any ideas?

a1rolo commented on 2018-02-26 16:40

Please help, I get this error compiling:

  • simplemocha Reading package.json...OK Parsing package.json...OK fatal: No es un repositorio git (ni ninguno de los directorios superiores): .git Loading "Gruntfile.js" tasks...ERROR

    Error: Command failed: git show -s --format='%cI %ct' fatal: It is not a git repo (nor any of the upper directories): .git at checkExecSyncError (child_process.js:574:11) at execSync (child_process.js:611:13) at Object.module.exports (/home/rolo/.builds/sozi/src/Sozi-18.01/Gruntfile.js:17:15) at loadTask (/home/rolo/.builds/sozi/src/Sozi-18.01/node_modules/grunt/lib/grunt/task.js:315:10) at Task.task.init (/home/rolo/.builds/sozi/src/Sozi-18.01/node_modules/grunt/lib/grunt/task.js:434:5) at Object.grunt.tasks (/home/rolo/.builds/sozi/src/Sozi-18.01/node_modules/grunt/lib/grunt.js:111:8) at Object.module.exports [as cli] (/home/rolo/.builds/sozi/src/Sozi-18.01/node_modules/grunt/lib/grunt/cli.js:27:9) at Object.<anonymous> (/usr/lib/node_modules/grunt-cli/bin/grunt:44:20) at Module._compile (module.js:662:30) at Object.Module._extensions..js (module.js:673:10) at Module.load (module.js:575:32) at tryModuleLoad (module.js:515:12) at Function.Module._load (module.js:507:3) at Function.Module.runMain (module.js:703:10) at startup (bootstrap_node.js:193:16) at bootstrap_node.js:665:3</anonymous>

Running tasks: electron-build Warning: Task "electron-build" not found. Use --force to continue.

Aborted due to warnings. ==> ERROR: Se produjo un fallo en build().

lylambda commented on 2018-02-19 20:56

After change the build path and a reboot, that's works. Thanks sbmomeni !

sbmomeni commented on 2018-02-14 16:30

@lylambda The error message is saying "Aucun espace disponible sur le périphérique" which means "No available space on the device." You should either free some space on that device or change the build path to another device.

lylambda commented on 2018-02-12 18:50

Thanks for your response sbmomeni.

I test your command : [lylambda@nobody ~]$ semver -r "^6.14.0" "6.24.1" "5.4.2" node: error while loading shared libraries: libicui18n.so.57: cannot open shared object file: No such file or directory

So I install icu.57 with aur (my system have icu.60). Then : [lylambda@nobody ~]$ semver -r "^6.14.0" "6.24.1" "5.4.2" 6.24.1

Great ! I try to install sozy and : ==> Lancement de build()... Installing babel-preset-es2015-6.24.1 ... dep babel-preset-es2015-6.24.1 -> babel-plugin-check-es2015-constants-6.22.0 ... [...] cp: impossible de créer le lien direct 'node_modules/babel-plugin-transform-es2015-modules-umd/.is-completely-installed' vers '/tmp/pamac-build-lylambda/sozi/src/build/babel-plugin-transform-es2015-modules-umd-6.24.1/.is-completely-installed': Aucun espace disponible sur le périphérique ==> ERREUR : Une erreur s’est produite dans build(). Abandon...

More here : https://framabin.org/?5e3f4f461e58c84d#fE26l/s62+blz4XtgAwfnGwMjQhgM1uaGpQFt/bLFEE=

That's not the same error than before but... can you help me ?

sbmomeni commented on 2018-02-11 19:23

@lylambda The "semver" program is used for detecting package versions. In ArchLinux, "semver" depends on "nodejs" which depends on "icu" which provides the "libicui18n.so" file which is missing in your system. Search for "/usr/lib/libicui18n.so" file and install the package which provides it in Manjaro OS.

You can test your system by running

semver -r "^6.14.0" "6.24.1" "5.4.2"

which should output

6.24.1

lylambda commented on 2018-02-11 11:51

<hr>

[...] node: error while loading shared libraries: libicui18n.so.57: cannot open shared object file: No such file or directory Installing babel-preset-es2015- ... bsdtar: Error opening archive: Failed to open '/tmp/pamac-build-lylambda/sozi/src/babel-preset-es2015-.tgz' ==> ERREUR : Une erreur s’est produite dans build(). Abandon...

<hr>

Something didn't works for me :( (OS = Manjaro) What can I do ?

rplanchuelo commented on 2018-02-10 14:51

@sbmomeni: It's OK. Thanks.

All comments